#!/bin/sh

url=localhost:8092
music_dir=/mnt/mmcblk0p1/music

var=`ls $music_dir 2>/dev/null`
if [ -z "$var" ]; then
	echo "Directory $music_dir does not exist!"
	exit
fi

killall mpg123
killall mplayer
killall movgrab
#killall streamripper

deallocvt

rm /tmp/mpg123

#start mpg123 in the background so that we can play/pause it with the ZipIt play btn
mpg123 -q --timeout 0 --keep-open --remote --fifo /tmp/mpg123 1>/dev/null & 
pid_mpg123=$!

# -T instructs to truncate 'complete' files in the 'incomplete' dir to be zero bytes
# -R is the number of clients that are allowed to connect on the remote interface
# -M is the maximun number of MegaBytes to allow for new mp3 files
streamripper $1 -T -d $music_dir -u mpg123 -r $url -R 1 -M 100 &
pid_Ripper=$!

sleep 2

mpg123_stat="1"
while [ $mpg123_stat -ne 0 ]
do	
	sleep 1
	pidof mpg123
	mpg123_stat=$?
done

#send the url to mpg123
echo "load http://${url}" >/tmp/mpg123

#save the URL so the stream can be paused
#and re-started with the play btn 
echo "http://${url}" >/tmp/mpg123_url

trap '/usr/local/sbin/stopApp $pid_Ripper' TERM INT

wait $pid_Ripper

#mpg123 may have already been stopped by the stop button
#or if the mpg123_pls.sh script was called from links
#but if it hasn't then stop it here
kill $pid_mpg123 


